Package twisted :: Package internet :: Module interfaces :: Class IReactorThreads

[frames | no frames]

## Class IReactorThreads

    Interface --+
                |
               IReactorThreads

Dispatch methods to be run in threads.

Internally, this should use a thread pool and dispatch methods to them.

Method Summary
| ``callFromThread`(self, callable, *args, **kw)` Call a function from within another thread.
| ``callInThread`(self, callable, *args, **kwargs)` Run the callable object in a separate thread.
| ``suggestThreadPoolSize`(self, size)` Suggest the size of the thread pool.

Method Details

### callFromThread(self, callable, *args, **kw)

Call a function from within another thread.

This should wake up the main thread (where run() is executing) and run the given function.

I hope it is obvious from this description that this method must be thread safe. (If you want to call a method in the next mainloop iteration, but you're in the same thread, use callLater with a delay of 0.)

### callInThread(self, callable, *args, **kwargs)

Run the callable object in a separate thread.

### suggestThreadPoolSize(self, size)

Suggest the size of the thread pool.

Generated by Epydoc 2.0 on Wed Feb 25 07:37:17 2004 | http://epydoc.sf.net